# TODO: java, perl bindings (not ready in sources)
#
# Conditional build:
%bcond_without	python	# Python binding
#
Summary:	libical library
Summary(pl.UTF-8):	Biblioteka libical
Name:		libical
Version:	3.0.6
Release:	1
License:	MPL v1.0 or LGPL v2.1
Group:		Libraries
#Source0Download: https://github.com/libical/libical/releases
Source0:	https://github.com/libical/libical/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	b4c441549fdaf054611c6244a5900bdc
Patch0:		%{name}-cmake-python.patch
Patch1:		%{name}-python.patch
Patch2:		%{name}-gtkdocdir.patch
URL:		http://libical.github.io/libical/
BuildRequires:	cmake >= 3.1.0
BuildRequires:	db-devel
BuildRequires:	glib2-devel >= 1:2.32
BuildRequires:	gobject-introspection-devel >= 0.6.7
BuildRequires:	libicu-devel >= 50
BuildRequires:	libstdc++-devel
BuildRequires:	libxml2-devel >= 1:2.7.3
BuildRequires:	perl-base
BuildRequires:	rpmbuild(macros) >= 1.605
BuildRequires:	vala
%if %{with python}
BuildRequires:	python-devel >= 1:2.3
BuildRequires:	rpm-pythonprov
BuildRequires:	swig-python
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libical is an Open Source implementation of the IETF's iCalendar
Calendaring and Scheduling protocols (RFC 2445, 2446, and 2447). It
parses iCal components and provides a C API for manipulating the
component properties, parameters, and subcomponents.

%description -l pl.UTF-8
Libical jest implementacją Open Source protokołów IETF iCalendar
Calendaring oraz iCalendar Scheduling (RFC 2445, 2446 i 2447).
Biblioteka ta analizuje składniki iCal i udostępnia API w C do obróbki
opcji, parametrów i podkomponentów w komponentach iCal.

%package devel
Summary:	libical header files
Summary(pl.UTF-8):	Pliki nagłówkowe libical
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
libical header files.

%description devel -l pl.UTF-8
Pliki nagłówkowe libical.

%package static
Summary:	libical static library
Summary(pl.UTF-8):	Statyczna biblioteka libical
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of libical library.

%description static -l pl.UTF-8
Statyczna wersja biblioteki libical.

%package c++
Summary:	C++ bindings for libical libraries
Summary(pl.UTF-8):	Wiązania C++ dla bibliotek libical
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description c++
C++ bindings for libical libraries.

%description c++ -l pl.UTF-8
Wiązania C++ dla bibliotek libical.

%package c++-devel
Summary:	Header files for libical C++ bindings
Summary(pl.UTF-8):	Pliki nagłówkowe wiązań C++ dla bibliotek libical
Group:		Development/Libraries
Requires:	%{name}-c++ = %{version}-%{release}
Requires:	%{name}-devel = %{version}-%{release}
Requires:	libstdc++-devel

%description c++-devel
Header files for libical C++ bindings.

%description c++-devel -l pl.UTF-8
Pliki nagłówkowe wiązań C++ dla bibliotek libical.

%package c++-static
Summary:	Static libraries of libical C++ bindings
Summary(pl.UTF-8):	Statyczne biblioteki wiązań C++ dla bibliotek libical
Group:		Development/Libraries
Requires:	%{name}-c++-devel = %{version}-%{release}

%description c++-static
Static libraries of libical C++ bindings.

%description c++-static -l pl.UTF-8
Statyczne biblioteki wiązań C++ dla bibliotek libical.

%package glib
Summary:	GObject interface of the libical library
Summary(pl.UTF-8):	Interfejs GObject do biblioteki libical
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2 >= 1:2.32
Requires:	libxml2 >= 1:2.7.3

%description glib
GObject interface of the libical library.

%description glib -l pl.UTF-8
Interfejs GObject do biblioteki libical.

%package glib-devel
Summary:	Header files for libical-glib library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libical-glib
Group:		Development/Libraries
Requires:	%{name}-glib = %{version}-%{release}
Requires:	%{name}-devel = %{version}-%{release}
Requires:	glib2-devel >= 1:2.32
Requires:	libxml2-devel >= 1:2.7.3

%description glib-devel
Header files for libical-glib library.

%description glib-devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libical-glib.

%package glib-static
Summary:	Static libical-glib library
Summary(pl.UTF-8):	Statyczna biblioteka libical-glib
Group:		Development/Libraries
Requires:	%{name}-glib-devel = %{version}-%{release}

%description glib-static
Static libical-glib library.

%description glib-static -l pl.UTF-8
Statyczna biblioteka libical-glib.

%package glib-apidocs
Summary:	libical-glib API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki libical-glib
Group:		Documentation
Requires:	gtk-doc-common

%description glib-apidocs
API documentation for libical-glib library.

%description glib-apidocs -l pl.UTF-8
Dokumentacja API biblioteki libical-glib.

%package -n vala-libical-glib
Summary:	Vala API for libical-glib library
Summary(pl.UTF-8):	API języka Vala do biblioteki libical-glib
Group:		Development/Libraries
Requires:	%{name}-glib-devel = %{version}-%{release}
Requires:	vala

%description -n vala-libical-glib
Vala API for libical-glib library.

%description -n vala-libical-glib -l pl.UTF-8
API języka Vala do biblioteki libical-glib.

%package -n python-libical
Summary:	Python binding for libical
Summary(pl.UTF-8):	Wiązanie Pythona do biblioteki libical
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description -n python-libical
Python binding for libical.

%description -n python-libical -l pl.UTF-8
Wiązanie Pythona do biblioteki libical.

%prep
%setup -q
%if %{with python}
%patch0 -p1
%patch1 -p1
%endif
%patch2 -p1

%build
install -d build
cd build
%cmake .. \
	-DGOBJECT_INTROSPECTION=ON \
	-DICAL_GLIB=ON \
	-DICAL_GLIB_VAPI=ON \
	-DPYTHON_EXECUTABLE=%{__python} \
	-DPY_SITEDIR=%{py_sitedir}

%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%if %{with python}
# not installed by cmake build system
install -d $RPM_BUILD_ROOT%{py_sitescriptdir}/libical
cp -p src/python/*.py build/src/python/*.py $RPM_BUILD_ROOT%{py_sitescriptdir}/libical
%py_postclean
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	c++ -p /sbin/ldconfig
%postun	c++ -p /sbin/ldconfig

%post	glib -p /sbin/ldconfig
%postun	glib -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ReadMe.txt ReleaseNotes.txt THANKS TODO
%attr(755,root,root) %{_libdir}/libical.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libical.so.3
%attr(755,root,root) %{_libdir}/libicalss.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libicalss.so.3
%attr(755,root,root) %{_libdir}/libicalvcal.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libicalvcal.so.3
%{_libdir}/girepository-1.0/ICal-3.0.typelib

%files devel
%defattr(644,root,root,755)
%doc doc/UsingLibical*
%attr(755,root,root) %{_libdir}/libical.so
%attr(755,root,root) %{_libdir}/libicalss.so
%attr(755,root,root) %{_libdir}/libicalvcal.so
%{_pkgconfigdir}/libical.pc
%dir %{_includedir}/libical
# libical
%{_includedir}/libical/ical.h
%{_includedir}/libical/icalarray.h
%{_includedir}/libical/icalattach.h
%{_includedir}/libical/icalcomponent.h
%{_includedir}/libical/icalderivedparameter.h
%{_includedir}/libical/icalderivedproperty.h
%{_includedir}/libical/icalderivedvalue.h
%{_includedir}/libical/icalduration.h
%{_includedir}/libical/icalenums.h
%{_includedir}/libical/icalerror.h
%{_includedir}/libical/icallangbind.h
%{_includedir}/libical/icalmemory.h
%{_includedir}/libical/icalmime.h
%{_includedir}/libical/icalparameter.h
%{_includedir}/libical/icalparser.h
%{_includedir}/libical/icalperiod.h
%{_includedir}/libical/icalproperty.h
%{_includedir}/libical/icalrecur.h
%{_includedir}/libical/icalrestriction.h
%{_includedir}/libical/icaltime.h
%{_includedir}/libical/icaltimezone.h
%{_includedir}/libical/icaltypes.h
%{_includedir}/libical/icaltz-util.h
%{_includedir}/libical/icalvalue.h
%{_includedir}/libical/libical_ical_export.h
%{_includedir}/libical/pvl.h
%{_includedir}/libical/sspm.h
# libicalss
%{_includedir}/libical/icalcalendar.h
%{_includedir}/libical/icalclassify.h
%{_includedir}/libical/icalcluster.h
%{_includedir}/libical/icaldirset.h
%{_includedir}/libical/icaldirsetimpl.h
%{_includedir}/libical/icalfileset.h
%{_includedir}/libical/icalfilesetimpl.h
%{_includedir}/libical/icalgauge.h
%{_includedir}/libical/icalgaugeimpl.h
%{_includedir}/libical/icalmessage.h
%{_includedir}/libical/icalset.h
%{_includedir}/libical/icalspanlist.h
%{_includedir}/libical/icalss.h
%{_includedir}/libical/icalssyacc.h
%{_includedir}/libical/libical_icalss_export.h
# libicalvcal
%{_includedir}/libical/icalvcal.h
%{_includedir}/libical/libical_vcal_export.h
%{_includedir}/libical/vcaltmp.h
%{_includedir}/libical/vcc.h
%{_includedir}/libical/vobject.h
%{_datadir}/gir-1.0/ICal-3.0.gir
%{_libdir}/cmake/LibIcal

%files static
%defattr(644,root,root,755)
%{_libdir}/libical.a
%{_libdir}/libicalss.a
%{_libdir}/libicalvcal.a

%files c++
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libical_cxx.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libical_cxx.so.3
%attr(755,root,root) %{_libdir}/libicalss_cxx.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libicalss_cxx.so.3

%files c++-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libical_cxx.so
%attr(755,root,root) %{_libdir}/libicalss_cxx.so
%{_includedir}/libical/icalbdbset_cxx.h
%{_includedir}/libical/icalparameter_cxx.h
%{_includedir}/libical/icalproperty_cxx.h
%{_includedir}/libical/icalvalue_cxx.h
%{_includedir}/libical/icalspanlist_cxx.h
%{_includedir}/libical/icptrholder_cxx.h
%{_includedir}/libical/vcomponent_cxx.h

%files c++-static
%defattr(644,root,root,755)
%{_libdir}/libical_cxx.a
%{_libdir}/libicalss_cxx.a

%files glib
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libical-glib.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libical-glib.so.3
%{_libdir}/girepository-1.0/ICalGLib-3.0.typelib

%files glib-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libical-glib.so
%{_includedir}/libical-glib
%{_datadir}/gir-1.0/ICalGLib-3.0.gir
%{_pkgconfigdir}/libical-glib.pc

%files glib-static
%defattr(644,root,root,755)
%{_libdir}/libical-glib.a

%files glib-apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/libical-glib

%files -n vala-libical-glib
%defattr(644,root,root,755)
%{_datadir}/vala/vapi/libical-glib.vapi

%if %{with python}
%files -n python-libical
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/_LibicalWrap.so
%{py_sitescriptdir}/libical
%endif
%changelog
* Wed Oct 16 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libical.git;a=log;h=master

* Wed Oct 16 2019 Jakub Bogusz <qboosh@pld-linux.org> 7f804b1
- updated python patch: restore ignore for icalproperty_add_parameters() (fixes build on archs with array va_list)

* Tue Oct 15 2019 Jakub Bogusz <qboosh@pld-linux.org> 602196c
- updated to 3.0.6
- updated cmake-python,gtkdocdir patches

* Tue Oct 15 2019 Jakub Bogusz <qboosh@pld-linux.org> 6d1dae3
- Merge remote-tracking branch 'origin/DEVEL-3'

* Sun Oct 06 2019 Jan Rękorajski <baggins@pld-linux.org> d133a0e
- rebuild with icu 65.1
- release 4 (by relup.sh)

* Tue Apr 16 2019 Jakub Bogusz <qboosh@pld-linux.org> b90ba08
- updated to 3.0.4 (note: new sonames)
- updated cmake-python patch
- removed obsolete funcnamefix patch
- added gtkdocdir patch (unify gtk-doc dir)
- db support is now enabled if db-devel is found, no cmake option
- added -glib* packages

* Sat Apr 13 2019 Jakub Bogusz <qboosh@pld-linux.org> e4e448d
- release 3 (rebuild with icu 64)

* Mon Feb 25 2019 Marcin Krol <hawk@tld-linux.org> f06f912
- release 2

* Thu Sep 28 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 66738d2
- Update source0 md5sum

* Thu Sep 28 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 1eeb85c
- Update to 2.0.0 (note: new soname)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 12b8d61
- release 2 (by relup.sh)

* Sun May 24 2015 Jakub Bogusz <qboosh@pld-linux.org> 77d6f8c
- build is racy

* Sat May 23 2015 Jakub Bogusz <qboosh@pld-linux.org> 67c18d2
- new URLs, updated to 1.0.1 (note: new sonames)
- removed outdated as_needed,ac patches
- added cmake-cxx,cmake-python patches to restore bindings lost on migration to cmake

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> de0b259
- x32 rebuild
- release 2 (by relup.sh)

* Tue May 28 2013 Jakub Bogusz <qboosh@pld-linux.org> 1e8e3bd
- cleanup

* Tue May 28 2013 Jakub Bogusz <qboosh@pld-linux.org> 498c1a9
- added python binding

* Tue May 28 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 6d9be0e
- up to 1.0

* Sat Oct 15 2011 Jakub Bogusz <qboosh@pld-linux.org> 8a302d4
- updated to 0.47

* Sat Jan 22 2011 sparky <sparky@pld-linux.org> ffa0da2
- BR: libstdc++-devel

* Sun Sep 05 2010 Jakub Bogusz <qboosh@pld-linux.org> 4e8c631
- updated to 0.46
- updated as-needed patch
- added cxx patch (extern "C", fixes C++ linking with libicalss)

* Sat Mar 07 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 169f176
- updated for 0.43

